Note
This module is part of the cisco.dnac collection (version 6.31.3).
You might already have this collection installed if you are using the ansible package. It is not included in ansible-core. To check whether it is installed, run ansible-galaxy collection list.
To install it, use: ansible-galaxy collection install cisco.dnac. You need further requirements to be able to use this module, see Requirements for details.
To use it in a playbook, specify: cisco.dnac.wireless_controllers_ssid_details_count_info.
New in cisco.dnac 6.15.0
Note
This module has a corresponding action plugin.
The below requirements are needed on the host that executes this module.
Parameter | Comments |
|---|---|
adminStatus boolean | AdminStatus query parameter. Utilize this query parameter to obtain the number of SSIDs according to their administrative status. A ‘true’ value signifies that the admin status of the SSID is enabled, while a ‘false’ value indicates that the admin status of the SSID is disabled. Choices:
|
dnac_debug boolean | Flag for Cisco DNA Center SDK to enable debugging. Choices:
|
dnac_host string / required | The Cisco DNA Center hostname. |
dnac_password string | The Cisco DNA Center password to authenticate. |
dnac_port integer | The Cisco DNA Center port. Default: |
dnac_username aliases: user string | The Cisco DNA Center username to authenticate. Default: |
dnac_verify boolean | Flag to enable or disable SSL certificate verification. Choices:
|
dnac_version string | Informs the SDK which version of Cisco DNA Center to use. Default: |
headers dictionary | Additional headers. |
managed boolean | Managed query parameter. If value is ‘true’ means SSIDs are configured through design.If the value is ‘false’ means out of band configuration from the Wireless Controller. Choices:
|
networkDeviceId string | NetworkDeviceId path parameter. Obtain the network device ID value by using the API call GET /dna/intent/api/v1/network-device/ip-address/${ipAddress}. |
validate_response_schema boolean | Flag for Cisco DNA Center SDK to enable the validation of request bodies against a JSON schema. Choices:
|
Note
check_mode
See also
Complete reference of the GetSSIDCountForSpecificWirelessControllerV1 API.
- name: Get all Wireless Controllers Ssid Details Count Info
cisco.dnac.wireless_controllers_ssid_details_count_info:
dnac_host: "{{dnac_host}}"
dnac_username: "{{dnac_username}}"
dnac_password: "{{dnac_password}}"
dnac_verify: "{{dnac_verify}}"
dnac_port: "{{dnac_port}}"
dnac_version: "{{dnac_version}}"
dnac_debug: "{{dnac_debug}}"
headers: "{{my_headers | from_json}}"
adminStatus: true
managed: true
networkDeviceId: string
register: result
Common return values are documented here, the following are the fields unique to this module:
Key | Description |
|---|---|
dnac_response dictionary | A dictionary or list with the response returned by the Cisco DNAC Python SDK Returned: always Sample: |
© 2012–2018 Michael DeHaan
© 2018–2025 Red Hat, Inc.
Licensed under the GNU General Public License version 3.
https://docs.ansible.com/ansible/latest/collections/cisco/dnac/wireless_controllers_ssid_details_count_info_module.html